%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           camlmix
Version:        1.3.1
Release:        %mkrel 14
Summary:        A generic preprocessor for text with embedded OCaml
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/mjambon/camlmix
Source0:        https://github.com/mjambon/camlmix/archive/refs/tags/v%{version}.tar.gz#/camlmix-%{version}.tar.gz
Patch0:         camlmix-1.3.1-enable-debugging-information.patch
# Debian patch to make use of camlp-streams
Patch1:         0002-Add-dependency-to-camlp-streams.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-camlp-streams-devel
BuildRequires:  ocaml-findlib
# for architectures without native code compilation we will need
# Requires: ocaml-compiler

%description
Camlmix is a generic preprocessor which converts text with embedded OCaml
into an OCaml program with embedded text. It produces text documents from
one or several templates.

(Camlmix is not a Camlp4 syntax extension.)

%prep
%setup -q
%autopatch -p1

%build
%ifarch %{ocaml_native_compiler}
	make native
%else
	make byte
%endif


%install
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}/usr

%files
%doc LICENSE README.md
%doc examples/
%{_bindir}/camlmix


%changelog
* Tue Apr 29 2025 pterjan <pterjan> 1.3.1-14.mga10
+ Revision: 2180060
- Fix build with OCaml 5
+ danf <danf>
- Update URLs

* Tue Mar 29 2022 umeabot <umeabot> 1.3.1-13.mga9
+ Revision: 1832126
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.3.1-12.mga9
+ Revision: 1750850
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.3.1-11.mga9
+ Revision: 1697259
- rebuild for ocaml-4.2-12

* Wed Feb 19 2020 umeabot <umeabot> 1.3.1-10.mga8
+ Revision: 1543729
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 1.3.1-9.mga8
+ Revision: 1482171
- rebuild for ocaml-4.10

* Sat Sep 22 2018 umeabot <umeabot> 1.3.1-8.mga7
+ Revision: 1295956
- Mageia 7 Mass Rebuild

* Tue Sep 26 2017 daviddavid <daviddavid> 1.3.1-7.mga7
+ Revision: 1160046
- add patch to enable debugging information thus fixing empty debugsourcefiles.list

* Sun Sep 25 2016 pterjan <pterjan> 1.3.1-6.mga6
+ Revision: 1056202
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 1.3.1-5.mga6
+ Revision: 946551
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 750037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 678301
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 536654
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 blue_prawn <blue_prawn> 1.3.1-1.mga4
+ Revision: 484886
- updated to last version 1.3.1

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.3.0-6.mga4
+ Revision: 484246
- rebuild for ocaml-4.01.0

* Fri Jan 11 2013 umeabot <umeabot> 1.3.0-5.mga3
+ Revision: 347370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.3.0-4.mga3
+ Revision: 301084
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.3.0-3.mga3
+ Revision: 300501
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 1.3.0-2.mga3
+ Revision: 275537
- clean-up requires
+ blue_prawn <blue_prawn>
- include examples
- %%install should first remove %%{buildroot}
- respect Mageia .spec file formating policy
- Original spec from JeanClaude Colette

* Mon Feb 13 2012 malo <malo> 1.3.0-1.mga2
+ Revision: 208301
- without parallel build
- imported package camlmix

